
QGIS Application - Bug report #11366

Graduated rendering : a custom legend label is not displayed in TOC nor print composer

2014-10-08 09:52 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Nathan Woodrow

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19657

Description

Add a layer and open its properties dialog

In Style tab, define a graduated rendering on a field. Classify.

In "Legend format", let's use "From %1 to %2". Apply. The labels are well shown in the TOC and then in the legend in print composer.

But suppose anyone wants to customize first and last range (eg. "Inferior to ..." and "Superior to ..."). It's possible to modify the labels but

when applying, the text in the TOC won't change. Neither in the print composer.

If you erase the content of the template "Legend format" and customize your labels, they will neither be shown in the TOC.

I think using "Legend format" might work as a template for first creation of the labels and then the user should be able to freely change

some labels.

May be a checkbox for the use of template that will also activate/deactivate other options such as precision and trim (to keep coherence).

Associated revisions

Revision 1770ec1a - 2014-10-13 12:14 AM - Nathan Woodrow

Merge pull request #1618 from ccrook/GraduatedRendererBugFix11366

Fix #11366 Customised graduated renderer labels ignored

History

#1 - 2014-10-08 12:44 PM - Chris Crook

- Priority changed from High to Severe/Regression

- Assignee set to Chris Crook

- Category set to Symbology

Absolutely this is how it should behave.

I'm guessing that this is an issue introduced into the copying of a renderer.  If so then it is likely that custom labels will be lost elsewhere.  Will investigate

and fix shortly.

#2 - 2014-10-08 01:50 PM - Chris Crook

- Pull Request or Patch supplied changed from No to Yes

- Assignee changed from Chris Crook to Nathan Woodrow
Fixed in pull request https://github.com/qgis/QGIS/pull/1618

#3 - 2014-10-12 03:14 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"1770ec1a6b03cded7ac4a5ed6d833a39338ce9d4".
